Subject: [Ltru] Re: Request for variant subtag fr 16th-c 17th-c Resubmitted!

From: Nicolas Krebs <[email-masked]>
Date: Wed, 20 Dec 2006 23:32:51 +0100

> Subject: [Ltru] Re: Request for variant subtag fr 16th-c 17th-c Resubmitted!
> From: "Mark Davis" <mark.davis at icu-project.org>
> Date: Mon, 18 Dec 2006 18:35:27 -0800
> Cc: ietf-languages at iana.org, LTRU Working Group <ltru at ietf.org>

> Let's take Czech, for example,
> where we only currently have 'cs'. I see the following possibilities.

> 2. This currently means any Czech, but ISO may introduce a code for Old
> Czech (let's say 'ceu'). I see three possible approaches:
> 
> 2a. The denotation of 'cs' is changed to mean only modern Czech. This would
> be a breaking change for the language subtag registry, since the meaning of
> a subtag would be narrowed, invalidating any tags that had a broad
> application. This would be rather disturbing, since we are guaranteeing
> stability.

* RFC 4646 section 3
"the meaning of the various subtags will be unambiguous and stable over time"
* RFC 4646 section 3.4
"   The stability of entries and their meaning in the registry is
   critical to the long-term stability of language tags.  The rules in
   this section guarantee that a specific language tag's meaning is
   stable over time and will not change."
* RFC 4646 section 3.4
"2.   Values in the 'Description' field MUST NOT be changed in a way
        that would invalidate previously-existing tags."
* RFC 4646 section 3.4
"9.   Codes assigned by ISO 639, ISO 15924, or ISO 3166 that are
        withdrawn by their respective maintenance or registration
        authority remain valid in language tags.  A 'Deprecated' field
        containing the date of withdrawal is added to the record."
* RFC 4646 section 8
"   *Stability.* Because of changes in the past in the underlying ISO
   standards, a valid RFC 3066 language tag could become invalid or have
   its meaning change.  This has the potential of invalidating content
   that may have an extensive shelf-life."

> While I use Czech as an example, the same would be true for any similar
> breakdown, including English into Early Modern and Modern.

* Frisian http://www.alvestrand.no/pipermail/ietf-languages/2005-November/003801.html
* Khmer http://www.alvestrand.no/pipermail/ietf-languages/2006-December/005534.html
* Raeto-Romance http://www.alvestrand.no/pipermail/ietf-languages/2006-December/005536.html
* Serbo-Croatian was deprecated some years before

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru